#!/bin/sh
#
# Autor: ibahchevanov
# Date:  07/11/2006
# Revision: 1.0
# Description: This is a Nagios plugin to check freespace of FileSystem
#

STATE_OK=0
STATE_WARNING=1
STATE_CRITICAL=2
STATE_UNKNOWN=3

if [ ${2} -lt ${3} ] ; then
    echo "UNKNOWN - Warning level is less then Critical"
    exit $STATE_UNKNOWN
fi

FS_FREE_SPACE=`df -k ${1} |grep -v Free |awk '{print $3}'`
FS_FREE_SPACE_MB=`df -m ${1} |grep -v Free |awk '{print $3}'`

if [ $FS_FREE_SPACE -gt ${2} ]
        then
                echo "OK: Enough free space on ${1} (Free: ${FS_FREE_SPACE_MB}MB / WL=${2}KB, CL=${3}KB)"
                exit $STATE_OK
fi

if [ $FS_FREE_SPACE -le ${2} -a $FS_FREE_SPACE -gt ${3} ]
        then
                echo "WARNING: Free space is in the limit on ${1} (Free: ${FS_FREE_SPACE_MB}MB / WL=${2}KB, CL=${3}KB)"
                exit $STATE_WARNING
fi

if [ $FS_FREE_SPACE -le ${3} ]
        then
                echo "CRITICAL: No enough free space on ${1} (Free: ${FS_FREE_SPACE_MB}MB / WL=${2}KB, CL=${3}KB)"
                exit $STATE_CRITICAL
fi

